summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-02-27 13:17:12 +0000
committerJim Meyering <jim@meyering.net>2000-02-27 13:17:12 +0000
commite86141f400e77f7ba43570b97d508c1747ec2271 (patch)
tree8e80e07d5383df7243a7bb507411d2c8cf21e4c7 /tests/install/basic-1
parent8ebde9b0bbbb39fcd092d6787e214d15afa1ef09 (diff)
downloadcoreutils-e86141f400e77f7ba43570b97d508c1747ec2271.tar.xz
Clean up.
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-117
1 files changed, 6 insertions, 11 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index f44f5f0f1..202ef8793 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -1,17 +1,12 @@
#! /bin/sh
-: ${MKDIR=mkdir}
-: ${RM=rm}
-: ${INSTALL=install}
-: ${LS=ls}
-
dir=dir
file=file
framework_failure=0
-$RM -rf $dir $file || framework_failure=1
-$MKDIR -p $dir || framework_failure=1
+rm -rf $dir $file || framework_failure=1
+mkdir -p $dir || framework_failure=1
echo foo > $file || framework_failure=1
if test $framework_failure = 1; then
@@ -20,7 +15,7 @@ if test $framework_failure = 1; then
fi
fail=0
-$INSTALL $file $dir || fail=1
+install $file $dir || fail=1
# Make sure the source file still exists.
test -f $file || fail=1
# Make sure the dest file has been created.
@@ -28,15 +23,15 @@ test -f $dir/$file || fail=1
# This test would fail with 3.16s when using versions of strip that
# don't work on read-only files (the one from binutils works fine).
-$INSTALL -s -c -m 555 ../../src/dd $dir || fail=1
+install -s -c -m 555 ../../src/dd $dir || fail=1
# Make sure the dest file has been created.
test -f $dir/dd || fail=1
# ...and that the permissions are as requested.
-set X `$LS -l $dir/dd`
+set X `ls -l $dir/dd`
shift
test "$1" = -r-xr-xr-x || fail=1
-$RM -rf $dir $file
+rm -rf $dir $file
exit $fail